/* Flame Sage's Teleport Tags Demo.
Hope this proves useful to you!*/

area/Teleports
	density=0
	layer=100//So it appears over everything else in the Map Editor.
	invisibility=101//This is a neat feature, that ONLY allows you to see your teleports in
	//Dream Maker, but people in the game can't see them!
	var/
		LocateTo = ""	// this will tell it where to go, "A text string"
		Tag  = ""	// this is the tag, using this will set it's "tag"
		Music//Just list a mid file here, and it will play it when entering the teleport.
	Entered(mob/M){M.to_tag(src.LocateTo);..()}
mob/proc/to_tag(A as text)
	if(src.client)//Checks to see if it's a player.
		for(var/area/Teleports/B in world)
			if(B.Tag==A)
				src.loc=(B)
				if(B.Music)src<<sound(B.Music,1)
				step(src,src.dir)//This steps them out of the teleport.
				return 1//Completed sucessfully!
		world.log<<"Locating to [A] failed, tag does not exist."
		return 0//Oh oh! Looks like there was an error.